<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:48 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MainActivity</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.MainActivity class">
<meta name="keywords" content="onCreate()">
<meta name="keywords" content="onBackPressed()">
<meta name="keywords" content="onNavigationItemSelected()">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MainActivity";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../markus/keingeldfuerdiemensa/NewCategoryDialogFragment.Companion.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/MainActivity.html" target="_top">Frames</a></li>
<li><a href="MainActivity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa</div>
<h2 title="Class MainActivity" class="title">Class MainActivity</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>markus.keingeldfuerdiemensa.MainActivity</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MainActivity</span></pre>
<div class="block"><p><p>Hauptklasse der App, die alle wichtigen Layout-Teile lädt, Dialoge öffnet und die Navigationsleiste überwacht</p></p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/MainActivity.html#MainActivity--">MainActivity</a></span>()</code>
<div class="block">Hauptklasse der App, die alle wichtigen Layout-Teile lädt, Dialoge öffnet und die Navigationsleiste überwacht</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/MainActivity.html#onBackPressed--">onBackPressed</a></span>()</code>
<div class="block">wird aufgerufen, wenn der Benutzer auf die "Zurück" Taste drückt und hier benutzt, um die Navigationsleiste zu schließen (falls diese offen ist)</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/MainActivity.html#onCreate-savedInstanceState-">onCreate</a></span>(android.os.Bundle&nbsp;savedInstanceState)</code>
<div class="block">wird aufgerufen, wenn die Activity erstellt wurde</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/MainActivity.html#onNavigationItemSelected-item-">onNavigationItemSelected</a></span>(android.view.MenuItem&nbsp;item)</code>
<div class="block">wird von NavigationView.OnNavigationItemSelectedListener implementiert und aufgerufen, wenn der Benutzer ein Item in der Navigationsleiste auswählt</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MainActivity--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MainActivity</h4>
<pre>public&nbsp;MainActivity()</pre>
<div class="block"><p><p>Hauptklasse der App, die alle wichtigen Layout-Teile lädt, Dialoge öffnet und die Navigationsleiste überwacht</p></p></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onCreate-savedInstanceState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreate</h4>
<pre>public&nbsp;void&nbsp;onCreate(android.os.Bundle&nbsp;savedInstanceState)</pre>
<div class="block"><p><p>wird aufgerufen, wenn die Activity erstellt wurde</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>savedInstanceState</code> - ggf. zwischengespeicherte Eigenschaften des Views, wenn es während der Laufzeit erneut erstellt wurde</dd>
</dl>
</li>
</ul>
<a name="onBackPressed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onBackPressed</h4>
<pre>public&nbsp;void&nbsp;onBackPressed()</pre>
<div class="block"><p><p>wird aufgerufen, wenn der Benutzer auf die "Zurück" Taste drückt und hier benutzt, um die Navigationsleiste zu schließen (falls diese offen ist)</p></p></div>
</li>
</ul>
<a name="onNavigationItemSelected-item-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onNavigationItemSelected</h4>
<pre>public&nbsp;boolean&nbsp;onNavigationItemSelected(android.view.MenuItem&nbsp;item)</pre>
<div class="block"><p><p>wird von NavigationView.OnNavigationItemSelectedListener implementiert und aufgerufen, wenn der Benutzer ein Item in der Navigationsleiste auswählt</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - das Item, welches angeklickt wurde</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, da in dieser App immer eine Aktion auf einen Klick folgt</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../markus/keingeldfuerdiemensa/NewCategoryDialogFragment.Companion.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/MainActivity.html" target="_top">Frames</a></li>
<li><a href="MainActivity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
